curl -X POST https://hapi.7331.org/v1/users/me/prefix \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{"prefix": "."}'
{
"discord_id": "123456789012345678",
"username": "exampleuser",
"prefix": ".",
"state": 0,
"permission_level": 0,
"subscription_tier": 0,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z",
"last_activity_at": "2025-01-15T12:30:00Z"
}
Update the authenticated user’s command prefix.
curl -X POST https://hapi.7331.org/v1/users/me/prefix \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{"prefix": "."}'
{
"discord_id": "123456789012345678",
"username": "exampleuser",
"prefix": ".",
"state": 0,
"permission_level": 0,
"subscription_tier": 0,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z",
"last_activity_at": "2025-01-15T12:30:00Z"
}
curl -X POST https://hapi.7331.org/v1/users/me/prefix \
-H "Content-Type: application/json" \
-b cookies.txt \
-d '{"prefix": "."}'
{
"discord_id": "123456789012345678",
"username": "exampleuser",
"prefix": ".",
"state": 0,
"permission_level": 0,
"subscription_tier": 0,
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z",
"last_activity_at": "2025-01-15T12:30:00Z"
}
Was this page helpful?